\name{ReduceTranscriptSpace}
\alias{ReduceTranscriptSpace}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Performs hierarchical clustering on the set of
  transcripts based on their pairwise distance.
}
\description{
  Merges transcripts of a \code{GeneStructure} if they are not different
  than a certain percent of their total length. The merging is done
  sequentially until no pairs of transcript can be merged.
}
\usage{
ReduceTranscriptSpace(gene, perc.min = 0.05, dist.min = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{gene}{ A \code{GeneStructure} object to be merged }
  \item{perc.min}{ Minimum percentage of difference in length to merge two
  transcripts.}
  \item{dist.min}{ Minimum distance can be given alternatively (not
    implemented yet). }
}
\details{
  This version is not completely optimised, so expect long
  running time when performing on the whole set of genes of an organism
  like human.
}
\value{
  Returns a \code{GeneStructure} object, with the set of transcripts
  merged
}
\references{ Solas.website }
\author{ Hugues Richard }
\seealso{ \code{\link{dist.bp.ensembl}}, used to compute the pairwise
  distances between transcripts. }
\examples{
###
### Example with a simple gene.
###
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~isoforms }
\keyword{ ~GeneStructure }% __ONLY ONE__ keyword per line
