\name{gene2gff}
\alias{gene2gff}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Write a gene structure in gff format}
\description{
  This function is an output driver from a GeneStructure object
  to a gff version 3 file. Scores or probabilities can be given for every
  transcript as a separate argument, in order to be indicated next to
  its name.
}
\usage{
gene2gff(gene, file, probas = NULL, note = NULL, feat.suffix = "", min.proba = 0)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{gene}{ A \code{GeneStructure} object to be written.}
  \item{file}{ A file connection to write to. }
  \item{probas}{ (optionnal) vector of probabilities to output next to each
    form. }
  \item{note}{ A note to append to the global gene structure. }
  \item{feat.suffix}{ A suffix to append on the feature
    column. Mandatory if multiple experiment files are generated at the
    same time. }
  \item{min.proba}{ (optionnal) Do not show isoforms with probabilities
    less than min.proba. }
}
\details{
  The gene2gff function is an output function from \code{GeneStructure}
  objects to the gff format. It gives a convenient way to visualize
  transcript proportions estimated by \code{POEM} together with their
  structure.
}
\value{
  Outputs the gff file in the file linked to \code{file} connection.
}
\references{ Solas.website. }
\author{Hugues Richard }
% \note{ ~~further notes~~ 

%  ~Make other sections like Warning with \section{Warning }{....} ~
% }
\seealso{ \code{\link{POEM.gene}} to estimate transcripts proportion. }
\examples{
###
### To do...
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~gff }
\keyword{ ~GeneStructure }% __ONLY ONE__ keyword per line
