\name{POEM.gene}
\alias{POEM.gene}
\alias{POEM.exons.cut}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Transcript proportion estimation }
\description{
  Run EM algorithm to estimate transcript isoform proportions from a gene model
  (\code{GeneStructure} object) and counts of reads within exons and
  (optionnaly) on exon-exon junctions.
}
\usage{
  POEM.gene(gene, counts, read.length = 27, data.type = "SR",
      scenario = "basic" ,...)

  POEM.exons.cut(gene, counts, read.length = 27, outliers.pval = 0,
                    exon2keep = NULL, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{gene}{The \code{GeneStructure} object for which the proportions
  are estimated.}
\item{counts}{A \code{GeneCount} object giving read counts within exons
  (and possibly exons-exons junction) of the gene.}
  \item{outliers.pval}{ Exclude from estimation exons with a CASI pvalue
    lower than outlier.pval. Default value of 0 is not used.}
  \item{exons2keep}{ (POEM.exons.cut only)  vector of exons indices. The
    estimation of isoform proportions will be restricted to the
    exons given in this vector.
  }
  \item{read.length}{ The length of the reads, this parameter
    is ignored if the n.uniq.hits column is present in the
    \code{GeneStructure} object (see \code{\link{gene.new}} for details)
  }
  \item{method}{ The type of data used to estimate the proportion (only "SR" now). }
  \item{\dots}{ Arguments passed to or from other functions.}
}
\details{
  The POEM set of functions are the core methods for estimating
  transcript proportions. Theses are meant to be generic function
  allowing to be extended to different estimation scenarios
  (Allele specific expression, paralogue genes expression, \dots)
  or data types (single reads, paired
  end reads, oriented reads, \dots). The two possibilities given now are
  estimation of transcript proportions using full gene structure (POEM.gene) or by taking
  out a group of exons for the estimation (POEM.exons.cut). Note that in
  its present state, POEM does not test the weither the models can
  unambiguously be determined from the exons counts. This should be
  verified with the \code{qr} function.
}
\value{
  A estimate of proportions is returned as a vector of isoforms
  proportions.
}
\references{ solas.website }
\author{ Hugues Richard }
\seealso{ The \code{\link{goodness.of.fit}} function to perform goodness
  of fit test on the estimates, \code{\link{Bootstrap.estimate}} to generate
  bootstrap interval from the estimates. }
\examples{
####example_not_done 
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~POEM }
\keyword{ ~proportion }
\keyword{ ~EM }% __ONLY ONE__ keyword per line
