\name{gene.ASI.test}
\alias{gene.ASI.test}
\alias{ASI.test}
\title{Hypothesis Tests For Alternative Splicing}
\description{
  Estimate p-values for the hypothesis of alternative splicing for
  cell-internal and cell-differential analysis.
}
\usage{
           ASI.test(gene, x, ...)
           
           ASI.test(gene, x, y=NULL, cell="one", 
           		minexon=1, mingene=1, exp=NULL)
           }
\arguments{
  \item{gene}{A \code{GeneStructure} object that do necesseraly contains
    transcript informations. Mandatory information are the number of
    exons, the gene ID and the length of every single
    exon.}
  \item{x}{A vector of integer values of length number of exons}
  \item{y}{In case that cell =="two", a second vector of length number
    of exons is used for Fisher-exact test.}
  \item{cell}{"one" (default) , calculates Chi-square
    test on the counts in x using the length of the exons 
    of the gene object. 
    "two" , calculates Fisher-exact test for the counts of
    x and y.}
  \item{mingene}{A minimum read count threshold for each gene analysed.
    if the counts in x or y are smaller than mingene, NA is returned.}
  \item{minexon}{A minimum read count threshold for each exon analysed.
    if fewer than 2 counts in x or y are greater than minexon, NA is returned.}
  \item{exp}{An experiment name can be specified,
    which will be appended to the final object returned.}
}
\value{
  An object of class \code{htest}, with the ASI score returned as the
  test statistic.
 }

\examples{
## do cell internal analysis
#exons.pos=data.frame(length=c(3,5,3,3,1,3),
#		counts=c(16,27,18,16,16,0))
#g=list()
#g$ID="EnsemblGene"
#g$exons.pos=exons.pos
#g$nexons=length(g$exons.pos$length)
#x=g$exons.pos$counts
#A=ASI.test(g,x,exp="SolexaRun12") #append experiment name
           }
\references{Richard and Schulz, 2008}
\author{Marcel H. Schulz}
\keyword{htest}
\keyword{ASI}